<?php
/**
 * @package   admintoolswp
 * @copyright Copyright (c)2017-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL version 3 or later
 */

use Akeeba\AdminTools\Admin\Helper\Language;
use Akeeba\AdminTools\Admin\Helper\Select;
use Akeeba\AdminTools\Library\Html\Select as SelectHelper;

defined('ADMINTOOLSINC') or die;
?>
<h1>
    <a class="akeeba-component-name" href="<?php echo ADMINTOOLSWP_URL; ?>&view=MalwareDetection">
        <span class="akion-chevron-left"></span>
        <span class="aklogo-admintools-wp-small"></span>
        <?php echo Language::_('COM_ADMINTOOLS') ?>
    </a>
    <?php echo Language::_('COM_ADMINTOOLS_TITLE_SCANPARAMS'); ?>
</h1>

<form action="<?php echo ADMINTOOLSWP_URL; ?>&view=ScanParams" method="post" class="akeeba-form">
    <div class="akeeba-panel--primary">
        <header class="akeeba-block-header">
            <h3><?php echo Language::_('COM_ADMINTOOLS_PARAMS_SCAN_LABEL'); ?></h3>
        </header>


        <div class="akeeba-form-section--horizontal">
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_PARAMS_SCANDIFF_LABEL')?></label>
                <div>
					<?php echo SelectHelper::booleanswitch('scandiffs', $this->config['scandiffs'])?>
                    <p class="description">
						<?php echo Language::_('COM_ADMINTOOLS_PARAMS_SCANDIFF_DESC')?>
                    </p>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_LBL_PARAMS_SCANEMAIL_LABEL')?></label>
                <div>
                    <input type="text" class="regular-text" name="scanemail" value="<?php echo $this->config['scanemail']?>" />
                    <p class="description">
						<?php echo Language::_('COM_ADMINTOOLS_LBL_PARAMS_SCANEMAIL_DESC')?>
                    </p>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_LBL_PARAMS_SCAN_CONDITIONAL_EMAIL_LABEL')?></label>
                <div>
					<?php echo SelectHelper::booleanswitch('scan_conditional_email', $this->config['scan_conditional_email'])?>
                    <p class="description">
						<?php echo Language::_('COM_ADMINTOOLS_LBL_PARAMS_SCAN_CONDITIONAL_EMAIL_DESC')?>
                    </p>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_LBL_SCANNER_FILEEXTENSIONS')?></label>
                <div>
                    <textarea cols="80" rows="10" name="file_extensions"><?php echo implode("\n", $this->config['file_extensions']) ?></textarea>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_LBL_SCANNER_EXCLUDEFOLDERS')?></label>
                <div>
                    <textarea cols="80" rows="10" name="exclude_folders"><?php echo implode("\n", $this->config['exclude_folders']) ?></textarea>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_LBL_SCANNER_EXCLUDEFILES')?></label>
                <div>
                    <textarea cols="80" rows="10" name="exclude_files"><?php echo implode("\n", $this->config['exclude_files']) ?></textarea>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_PARAMS_FRONTEND_LABEL')?></label>
                <div>
					<?php echo SelectHelper::booleanswitch('frontend_enable', $this->config['frontend_enable'])?>
                    <p class="description">
						<?php echo Language::_('COM_ADMINTOOLS_PARAMS_FEBENABLE_DESC')?>
                    </p>
                </div>
            </div>
            <div class="akeeba-form-group">
                <label><?php echo Language::_('COM_ADMINTOOLS_PARAMS_SECRETWORD_LABEL')?></label>
                <div>
                    <input type="text" class="regular-text" name="frontend_secret_word" value="<?php echo $this->config['frontend_secret_word']?>" />
                    <p class="description">
						<?php echo Language::_('COM_ADMINTOOLS_PARAMS_SECRETWORD_DESC')?>
                    </p>
                </div>
            </div>
        </div>
    </div>

    <p class="submit">
        <input type="submit" class="akeeba-btn--primary" value="<?php echo Language::_('COM_ADMINTOOLS_LBL_COMMON_SAVE')?>"/>

        <a class="akeeba-btn--ghost" href="<?php echo ADMINTOOLSWP_URL; ?>&view=MalwareDetection">
            <?php echo Language::_('COM_ADMINTOOLS_LBL_COMMON_CANCEL')?>
        </a>
    </p>

    <input type="hidden" name="view" value="ScanParams"/>
    <input type="hidden" name="task" value="save"/>
	<?php wp_nonce_field('postScanParams') ?>
</form>
